%  matops5.m
% Matlab file for Part 5 of the Matrix Operations module

disp('***********************************************')
disp('Part 5:  Systems of Linear Equations')
disp('***********************************************')
disp('  ')    

    format rational
    A=[1,0,-1,3; 2,1,4,-2; 0,-5,0,1; -1,2,-1,3];
    B=[2,1,0,7; -2,5,1,2; 4,1,3,-6; 4,-4,-1,5];
    
    disp('The matrices A and B from earlier parts are')
    disp('still available in this part.')
    disp('The format has been set to ''''rational'''' ')
    disp('so we get fractional answers. ')
    disp('  ') 
    disp('  ') 
    disp('----------------------------------------------')
    disp('Steps 1 and 2:')
    disp('Entering the following commands defines ')
    disp('the right hand side vector b and solves the ')
    disp('system using the standard MATLAB procedure.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  b = [1,-2,11,3]'' ')
    disp('  x = A\b ')
    disp(' ')
    disp('----------------------------------------------')
    disp('Check that, for this x, A*x does give b. ')
    disp(' ') 
    disp('Now calculate inv(A)*b to see if you get the ')
    disp('same solution x as before. ')
    disp(' ')
    disp('Discuss your results using MATLAB comments in')
    disp('your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Steps 3 thru 5: ')
    disp('Now, let'' replace the coefficient matrix A')
    disp('by B.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  b = [1,-2,11,3]''; ')
    disp('  x = inv(B)*b ')
    disp('  B*x ')
    disp(' ')    
    disp('Now enter: ')
    disp(' ')
    disp('  x1=B\b ')
    disp('  B*x1 ')
    disp(' ')
    disp('----------------------------------------------')
    disp('What is happening? ')
    disp('Do all the operations in steps 3 thru 5 and ')
    disp('describe your conclusions by using MATLAB ')
    disp('comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------')
    disp('To go on to part 6 of this module, ')
    disp('type: matops6')
    disp(' ')